CSPLIT(1)

NAZWA
csplit - dzieli plik na części według wierszy kontekstu

SKŁADNIA
csplit [OPCJA]... PLIK WZORZEC...

OPIS

Wypisuje części PLIKU rozdzielone WZORCEM/WZORCAMI do plików "xx00", "xx01", ..., i wyświetla liczbę bajtów każdej części na standardowe wyjście.

Czyta standardowe wejście, jeśli PLIKIEM jest -.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --suffix-format=FORMAT
    używa FORMATU sprintf zamiast %02d

-f, --prefix=PRZEDROSTEK
    używa PRZEDROSTKA zamiast "xx"

-k, --keep-files
    nie usuwa plików wyjściowych w przypadku wystąpienia błędów

--suppress-matched
    pomija wiersze pasujące do WZORCA

-n, --digits=CYFRY
    używa podanej liczby cyfr zamiast 2

-s, --quiet, --silent
    nie wyświetla rozmiaru plików wyjściowych

-z, --elide-empty-files
    usuwa puste pliki wyjściowe

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  Każdym WZORCEM może być:

LICZBA
    kopiuje do podanego numeru wiersza (z jego wyłączeniem)

/WYR-REG/[OFFSET]
    kopiuje do pasującego wiersza (z jego wyłączeniem)

%WYR-REG%[OFFSET]
    pomija do pasującego wiersza (z jego wyłączeniem)

{LICZBA}
    powtarza poprzedni wzorzec określoną liczbę razy

{*} powtarza poprzedni wzorzec tyle razy, ile to możliwe

OFFSET jest określony przez obowiązkowy + lub -, po którym następuje liczba naturalna.

AUTOR
Napisane przez Stuarta Kempa i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu csplit proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/csplit>
lub lokalnie, za pomocą info '(coreutils) csplit invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.